summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2025-03-25 00:31:50 +0000
committerV3n3RiX <venerix@koprulu.sector>2025-03-25 00:31:50 +0000
commit85e7fcfe5631986ad1144ea54fc179d8658571d3 (patch)
tree70367139217a01e21c28e5d820dfa70782261ab7 /eclass
parent72e4c0bc86eea366d063d15b3d5611e8f82ffd05 (diff)
gentoo auto-resync : 25:03:2025 - 00:31:49
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin40355 -> 40354 bytes
-rw-r--r--eclass/unpacker.eclass17
2 files changed, 14 insertions, 3 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 954e3cd60145..4e16015ede41 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/unpacker.eclass b/eclass/unpacker.eclass
index 91520a36d16a..0ace3ae53cb9 100644
--- a/eclass/unpacker.eclass
+++ b/eclass/unpacker.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: unpacker.eclass
@@ -375,10 +375,15 @@ unpack_7z() {
local p7z=$(find_unpackable_file "$1")
unpack_banner "${p7z}"
+ local cmd7z="7z"
+ if command -v 7zz 1>/dev/null 2>&1; then
+ cmd7z="7zz"
+ fi
+
# warning: putting local and command substitution in a single call
# discards the exit status!
local output
- output="$(7z x -y "${p7z}")"
+ output="$($cmd7z x -y "${p7z}")"
if [ $? -ne 0 ]; then
echo "${output}" >&2
die "unpacking ${p7z} failed (arch=unpack_7z)"
@@ -610,7 +615,13 @@ unpacker_src_uri_depends() {
*.rar)
deps[rar]="app-arch/unrar" ;;
*.7z)
- deps[7z]="app-arch/p7zip" ;;
+ deps[7z]="
+ || (
+ app-arch/7zip
+ app-arch/p7zip
+ )
+ "
+ ;;
*.xz)
deps[xz]="app-arch/xz-utils" ;;
*.zip)